## ros-iron-examples-rclcpp-minimal-action-client 0.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_action_client)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)

add_executable(action_client_member_functions member_functions.cpp)
ament_target_dependencies(action_client_member_functions
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable not_composable.cpp)
ament_target_dependencies(action_client_not_composable
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable_with_cancel not_composable_with_cancel.cpp)
ament_target_dependencies(action_client_not_composable_with_cancel
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable_with_feedback not_composable_with_feedback.cpp)
ament_target_dependencies(action_client_not_composable_with_feedback
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS
  action_client_member_functions
  action_client_not_composable
  action_client_not_composable_with_cancel
  action_client_not_composable_with_feedback
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-iron-examples-rclcpp-minimal-action-client (0.18.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.17.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.17.0-2jammy) jammy; urgency=high

  * Update the examples to C++17. (#353 <https://github.com/ros2/examples/issues/353>)
  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.16.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.16.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.16.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.15.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.14.0-2jammy) jammy; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.13.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.12.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Aug 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.11.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.11.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.11.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.10.3-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.10.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.10.1-2jammy) jammy; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.10.0-2jammy) jammy; urgency=high

  * Update goal response callback signature (#291 <https://github.com/ros2/examples/issues/291>)
  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.9.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.9.1-2jammy) jammy; urgency=high

  * Fixed action_client sequence type (#268 <https://github.com/ros2/examples/issues/268>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.9.0-2jammy) jammy; urgency=high

  * avoid new deprecations (#267 <https://github.com/ros2/examples/issues/267>)
  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.8.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.8.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.7.3-2jammy) jammy; urgency=high

  * Use action client get result method (#245 <https://github.com/ros2/examples/issues/245>)
    Since a result callback is not provided when sending the goal, the goal handle is not "result aware"
    and calling the action client method will make it so.
    The behaviour was changed in https://github.com/ros2/rclcpp/pull/701.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.7.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-iron-examples-rclcpp-minimal-action-client (0.7.1-2jammy) jammy; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Add rclcpp action examples using member functions
  * Use options struct when action client sends a goal
  * Contributors: Jacob Perron, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000



=== debian/control ===
Source: ros-iron-examples-rclcpp-minimal-action-client
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-example-interfaces, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-examples-rclcpp-minimal-action-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-example-interfaces, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Description: Minimal action client examples

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-examples-rclcpp-minimal-action-client//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
